Page MenuHomePhabricator

Extension Annotator failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-php55/31811/console

09:09:18 There were 10 failures:
09:09:18 
09:09:18 1) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-create with MiserMode=false, AllowCategorizedRecentChanges=false" ('annotator-create', array(false, false))
09:09:18 Module description message apihelp-annotator-create-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 2) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-create with MiserMode=true, AllowCategorizedRecentChanges=true" ('annotator-create', array(true, true))
09:09:18 Module description message apihelp-annotator-create-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 3) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-read with MiserMode=false, AllowCategorizedRecentChanges=false" ('annotator-read', array(false, false))
09:09:18 Module description message apihelp-annotator-read-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 4) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-read with MiserMode=true, AllowCategorizedRecentChanges=true" ('annotator-read', array(true, true))
09:09:18 Module description message apihelp-annotator-read-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 5) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-search with MiserMode=false, AllowCategorizedRecentChanges=false" ('annotator-search', array(false, false))
09:09:18 Module description message apihelp-annotator-search-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 6) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-search with MiserMode=true, AllowCategorizedRecentChanges=true" ('annotator-search', array(true, true))
09:09:18 Module description message apihelp-annotator-search-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 7) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-destroy with MiserMode=false, AllowCategorizedRecentChanges=false" ('annotator-destroy', array(false, false))
09:09:18 Module description message apihelp-annotator-destroy-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 8) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-destroy with MiserMode=true, AllowCategorizedRecentChanges=true" ('annotator-destroy', array(true, true))
09:09:18 Module description message apihelp-annotator-destroy-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 9) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-update with MiserMode=false, AllowCategorizedRecentChanges=false" ('annotator-update', array(false, false))
09:09:18 Module description message apihelp-annotator-update-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 10) ApiDocumentationTest::testDocumentationExists with data set "Module annotator-update with MiserMode=true, AllowCategorizedRecentChanges=true" ('annotator-update', array(true, true))
09:09:18 Module description message apihelp-annotator-update-description exists
09:09:18 Failed asserting that false is true.
09:09:18 
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
09:09:18 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
09:09:18 
09:09:18 FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/Annotator : masterFix failing tests due to some apihelp messages missing

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 7 2017, 9:20 AM
nikitavbv claimed this task.Jan 9 2017, 1:42 AM

Change 331228 had a related patch set uploaded (by Phantom42):
Fix failing tests due to some apihelp messages missing

https://gerrit.wikimedia.org/r/331228

Umherirrender closed this task as Resolved.Jan 28 2017, 7:56 PM

Change 331228 merged by jenkins-bot:
Fix failing tests due to some apihelp messages missing

https://gerrit.wikimedia.org/r/331228